## org.eclipse.xsd
Interface XSDNotationDeclaration

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDNamedComponent, XSDSchemaContent

All Known Implementing Classes:
  XSDNotationDeclarationImpl

    public interface XSDNotationDeclaration

extends XSDNamedComponent, XSDSchemaContent

A representation of the model object 'Notation Declaration'.

The following features are supported:

- `System Identifier`
- `Public Identifier`
- `Annotation`

See Also:
  `XSDPackage.getXSDNotationDeclaration()`

Method Summary
`XSDAnnotation` `getAnnotation()` Returns the value of the 'Annotation' containment reference
`java.lang.String` `getPublicIdentifier()` Returns the value of the 'Public Identifier' attribute
`java.lang.String` `getSystemIdentifier()` Returns the value of the 'System Identifier' attribute
`void` `setAnnotation(XSDAnnotation value)` Sets the value of the '`Annotation`' containment reference
`void` `setPublicIdentifier(java.lang.String value)` Sets the value of the '`Public Identifier`' attribute
`void` `setSystemIdentifier(java.lang.String value)` Sets the value of the '`System Identifier`' attribute

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSystemIdentifier

    java.lang.String getSystemIdentifier()

  Returns the value of the 'System Identifier' attribute.

  This represents the system identifier infoset property.

  Returns:
    the value of the 'System Identifier' attribute.
  See Also:
    `setSystemIdentifier(String)`, `XSDPackage.getXSDNotationDeclaration_SystemIdentifier()`

### setSystemIdentifier

    void setSystemIdentifier(java.lang.String value)

  Sets the value of the '`System Identifier`' attribute.

  Parameters:
    `value` - the new value of the 'System Identifier' attribute.
  See Also:
    `getSystemIdentifier()`

### getPublicIdentifier

    java.lang.String getPublicIdentifier()

  Returns the value of the 'Public Identifier' attribute.

  This represents the public identifier infoset property.

  Returns:
    the value of the 'Public Identifier' attribute.
  See Also:
    `setPublicIdentifier(String)`, `XSDPackage.getXSDNotationDeclaration_PublicIdentifier()`

### setPublicIdentifier

    void setPublicIdentifier(java.lang.String value)

  Sets the value of the '`Public Identifier`' attribute.

  Parameters:
    `value` - the new value of the 'Public Identifier' attribute.
  See Also:
    `getPublicIdentifier()`

### getAnnotation

    XSDAnnotation getAnnotation()

  Returns the value of the 'Annotation' containment reference.

  This represents the annotation infoset property.

  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDNotationDeclaration_Annotation()`

### setAnnotation

    void setAnnotation(XSDAnnotation value)

  Sets the value of the '`Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Annotation' containment reference.
  See Also:
    `getAnnotation()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.